## octave-mpi 1.1.1

=== DESCRIPTION ===
Name: mpi
Version: 1.1.1
Date: 2013-9-13
Author: Riccardo Corradini <riccardocorradini@yahoo.it>, Jaroslav Hajek, Carlo de Falco
Maintainer: the Octave Community
Title: mpi
Description: MPI functions for parallel computing using simple MPI Derived Datatypes.
Depends: octave (>= 3.6.4)
SystemRequirements: mpi
BuildRequires: mpi
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== src/Makefile ===
MPICC := mpic++
JUNK := $(shell $(MPICC) -showme:compile)
MPIINC := $(shell echo $(JUNK) | sed -e "s/-pthread/-lpthread/g")
JUNK := $(shell $(MPICC) -showme:link)
MPILIBS := $(shell echo $(JUNK) | sed -e "s/-pthread/ /g")
MKOCTFILE ?= mkoctfile

all: MPI_Init.oct \
     MPI_Initialized.oct \
     MPI_Comm_rank.oct \
     MPI_Comm_size.oct \
     MPI_Finalize.oct \
     MPI_Finalized.oct \
     MPI_Send.oct \
     MPI_Recv.oct \
     MPI_Barrier.oct \
     MPI_Iprobe.oct \
     MPI_Probe.oct \
     MPI_Comm_Load.oct \
     MPI_Comm_Test.oct \
     MPI_Get_processor_name.oct \

%.oct: %.cc
	$(MKOCTFILE) $(MPIINC) $(MPILIBS) $<
clean:
	$(RM) *.o  *.oct *~

=== debian/changelog ===
octave-mpi (1.1.1-1build2) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 18:26:28 +0000

octave-mpi (1.1.1-1build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Dec 2013 14:27:49 -0500

octave-mpi (1.1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1.1
  * Rename source and binary package to octave-mpi, to reflect upstream change.
  * Add transitional package for octave-openmpi-ext.
  * Build against mpi-default-dev, since the package should now work with all
    MPI implementations. Update documentation accordingly.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Remove openmpi-1.6.patch, no longer needed.
  * Refresh autoload-yes.patch.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 28 Oct 2013 04:36:56 +0000

octave-openmpi-ext (1.1.0-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * Fix FTBFS against openmpi 1.6
    + openmpi-1.6.patch: new patch
    + Tighten build dependency against libopenmpi-dev (the patch is not
      backward compatible)

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 19 Aug 2013 18:08:44 +0200

octave-openmpi-ext (1.1.0-1) unstable; urgency=low

  * Imported Upstream version 1.1.0
  * Use my @debian.org email address
  * debian/copyright: reflect upstream changes
  * Remove obsolete DM-Upload-Allowed flag
  * Bump Standards-Version to 3.9.4, no changes needed
  * remove-wrong-addpath.patch: remove patch, no longer needed
  * add-preload-to-example.patch: remove patch, obsolete
  * autoload-yes.patch: new patch, marks package as autoloaded
  * d/rules, d/links: remove code about deleted 'allnodes' script

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 May 2013 13:28:59 +0200

octave-openmpi-ext (1.0.2-2) unstable; urgency=low

  * Explicitly Build-Depends on libopenmpi-dev, and Build-Conflicts with
    libmpich2-dev, since the package is not compatible with the latter

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 03 Jul 2012 13:59:34 +0000

octave-openmpi-ext (1.0.2-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Initial release (closes: #668299)

 -- Thomas Weber <tweber@debian.org>  Fri, 27 Apr 2012 15:21:22 +0200

=== debian/control ===
Source: octave-mpi
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Thomas Weber <tweber@debian.org>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
               mpi-default-dev, dh-exec, dpkg-dev (>= 1.16.1)
Standards-Version: 3.9.5
Homepage: http://octave.sourceforge.net/mpi/
Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-mpi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-mpi.git

Package: octave-mpi
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Recommends: mpi-default-bin
Description: Octave toolbox for parallel computing using MPI
 This package brings parallel computing capabilities to Octave by providing a
 convenient interface to MPI primitives. This is achieved using simple MPI
 Derived Datatypes.
 .
 This Octave add-on package is part of the Octave-Forge project.

Package: octave-openmpi-ext
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, octave-mpi
Description: Transitional package for parallel computing in Octave using MPI
 This transitional package depends on octave-mpi, which supersedes the former
 octave-openmpi-ext package.

## octave-mpi 1.2.0

=== DESCRIPTION ===
Name: mpi
Version: 1.2.0
Date: 2014-01-07
Author: Riccardo Corradini <riccardocorradini@yahoo.it>, Jaroslav Hajek, Carlo de Falco
Maintainer: Carlo de Falco
Title: mpi
Description: Octave bindings for basic Message Passing Interface (MPI) functions for parallel computing.
Depends: octave (>= 3.6.4)
SystemRequirements: mpi
BuildRequires: mpi
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-MPICC := mpic++
-JUNK := $(shell $(MPICC) -showme:compile)
-MPIINC := $(shell echo $(JUNK) | sed -e "s/-pthread/-lpthread/g")
-JUNK := $(shell $(MPICC) -showme:link)
-MPILIBS := $(shell echo $(JUNK) | sed -e "s/-pthread/ /g")
+MPICC     ?= mpic++
+OFMPIINC  ?= $(shell $(MPICC) -showme:compile | sed -e "s/-pthread/-lpthread/g")
+MPIINC    := $(OFMPIINC)
+OFMPILIBS ?= $(shell $(MPICC) -showme:link | sed -e "s/-pthread/ /g")
+MPILIBS   := $(OFMPILIBS)
 MKOCTFILE ?= mkoctfile
 
 all: MPI_Init.oct \

=== debian/changelog ===
octave-mpi (1.2.0-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:43:16 -0200

octave-mpi (1.2.0-3) unstable; urgency=medium

  * Team upload

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use secure URIs in the Vcs-* fields
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field
  * d/p/spelling-errors-in-docstrings.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:01 -0200

octave-mpi (1.2.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * octave4.0.patch: new patch, fixes FTBFS against Octave 4.0.
    (Closes: #792877)
  * Drop transitional package octave-openmpi-ext.
  * Remove Thomas Weber from Uploaders.

  [ Rafael Laboissiere ]
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 31 Jul 2015 11:06:23 +0200

octave-mpi (1.2.0-1) unstable; urgency=medium

  * Imported Upstream version 1.2.0
  * debian/copyright: reflect upstream changes.
  * Reintroduce LD_PRELOAD trick in README.Debian.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 17 Mar 2014 17:51:50 +0000

=== debian/control ===
Source: octave-mpi
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 11), dh-octave,
               mpi-default-dev, dh-exec, dpkg-dev (>= 1.16.1)
Standards-Version: 4.1.3
Homepage: http://octave.sourceforge.net/mpi/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-mpi.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-mpi
Testsuite: autopkgtest-pkg-octave

Package: octave-mpi
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Recommends: mpi-default-bin
Description: Octave toolbox for parallel computing using MPI
 This package brings parallel computing capabilities to Octave by providing a
 convenient interface to MPI primitives. This is achieved using simple MPI
 Derived Datatypes.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Needed by debian/links
include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@ --buildsystem=octave --with=octave

=== debian/watch ===
version=4
http://sf.net/octave/mpi-(.+)\.tar\.gz

## octave-mpi 3.1.0

=== DESCRIPTION ===
Name: mpi
Version: 3.1.0
Date: 2019-03-08
Author: Riccardo Corradini, Jaroslav Hajek, Carlo de Falco
Maintainer: Carlo de Falco
Title: mpi
Description: Octave bindings for basic Message Passing Interface (MPI) functions for parallel computing.
Depends: octave (>= 5.1.0)
SystemRequirements: mpi
BuildRequires: mpi
Autoload: no
License: GPLv3+
Url: https://github.com/carlodefalco/octave-mpi

=== src/Makefile ===
MPICC     ?= mpicxx
OFMPIINC  ?= $(shell $(MPICC) -showme:compile | sed -e "s/-pthread/ /g")
MPIINC    := $(OFMPIINC)
OFMPILIBS ?= $(shell $(MPICC) -showme:link | sed -e "s/-pthread/ /g")
MPILIBS   := $(OFMPILIBS)
MKOCTFILE ?= mkoctfile

OBJS = MPI_Init.o MPI_Initialized.o \
     MPI_Comm_rank.o MPI_Comm_size.o \
     MPI_Finalize.o MPI_Finalized.o MPI_Send.o \
     MPI_Recv.o MPI_Barrier.o  MPI_Iprobe.o \
     MPI_Probe.o __MPI_COMM_WORLD__.o \
     MPI_Get_processor_name.o octave_mpi_communicator.o \
     put_mpi_stat.o

all: MPI_Init.oct

%.o : %.cc octave_mpi_communicator.h
	$(MKOCTFILE) $(MPIINC) -c $<

MPI_Init.oct: $(OBJS) MPI_Init.o
	$(MKOCTFILE) $(MPILIBS) $(OBJS) -o MPI_Init.oct
clean:
	$(RM) *.o  *.oct *~

=== debian/changelog ===
octave-mpi (3.1.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/control: Bump dependency on dh-octave to >= 0.7.0.
    This allows the injection of the virtual package octave-abi-N into the
    package's list of dependencies
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * d/u/metadata: New file

  [ Sébastien Villemot ]
  * New upstream version 3.1.0
    — Fixes FTBFS against Octave 5 (Closes: #945323)
  * Switch to new upstream location on Github
  * d/copyright: reflect upstream changes
  * Drop patches no longer needed:
    — octave4.0.patch
    — octave4.4.patch
    — spelling-errors-in-docstrings.patch
  * Ship NEWS and README.md
  * Clean file generated by testsuite
  * Bump to debhelper 13. Allows the removal of the B-D on dh-exec.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 28 May 2020 17:47:48 +0200

octave-mpi (1.2.0-6) unstable; urgency=medium

  * Team upload

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat
  * d/s/lintian-overrides: Add override for using of DEB_VERSION_UPSTREAM
    variable in dh-exec scripts

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 04 Jan 2019 06:29:42 -0200

octave-mpi (1.2.0-5) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Sébastien Villemot ]
  * octave4.4.patch: new patch, fixes FTBFS on 64-bit arches

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 10 Jun 2018 20:49:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,16 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 11), dh-octave,
-               mpi-default-dev, dh-exec, dpkg-dev (>= 1.16.1)
-Standards-Version: 4.1.3
-Homepage: http://octave.sourceforge.net/mpi/
+Build-Depends: dpkg-dev (>= 1.16.1),
+               debhelper-compat (= 13),
+               dh-octave (>= 0.7.1),
+               mpi-default-dev
+Standards-Version: 4.5.0
+Homepage: https://github.com/carlodefalco/octave-mpi
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-mpi.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-mpi
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-mpi
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,3 @@
 
 %:
 	dh $@ --buildsystem=octave --with=octave
-
